## r-cran-downlit 0.2.1

=== DESCRIPTION ===
Package: downlit
Title: Syntax Highlighting and Automatic Linking
Version: 0.2.1
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = c("aut", "cre"),
             email = "hadley@rstudio.com"),
      person(given = "RStudio",
             role = "cph"))
Description: Syntax highlighting of R code, specifically designed
    for the needs of 'RMarkdown' packages like 'pkgdown', 'hugodown', and
    'bookdown'. It includes linking of function calls to their documentation
    on the web, and automatic translation of ANSI escapes in output to the
    equivalent HTML.
License: MIT + file LICENSE
Depends: R (>= 3.2.0)
Imports: brio, digest, evaluate, fansi, rlang, vctrs, yaml
Suggests: rmarkdown, jsonlite, MASS, testthat (>= 3.0.0), covr,
        pkgload, xml2
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
URL: https://downlit.r-lib.org/, https://github.com/r-lib/downlit
BugReports: https://github.com/r-lib/downlit/issues
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2020-11-03 21:01:32 UTC; hadley
Author: Hadley Wickham [aut, cre],
  RStudio [cph]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2020-11-04 06:50:05 UTC

=== debian/changelog ===
r-cran-downlit (0.2.1-2) unstable; urgency=medium

  * Team Upload.
  * Harden dependency on r-cran-testthat
  * Standards-Version: 4.5.1 (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 15 Dec 2020 02:43:02 +0530

r-cran-downlit (0.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Exclude test accessing internet

 -- Andreas Tille <tille@debian.org>  Fri, 13 Nov 2020 11:45:22 +0100

r-cran-downlit (0.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Test-Depends: r-cran-xml2

 -- Andreas Tille <tille@debian.org>  Tue, 29 Sep 2020 11:26:34 +0200

r-cran-downlit (0.1.0-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 20 Sep 2020 08:45:32 +0200

r-cran-downlit (0.1.0-1) unstable; urgency=medium

  * Initial release (closes: #970092)

 -- Steffen Moeller <moeller@debian.org>  Fri, 11 Sep 2020 02:48:36 +0200

=== debian/control ===
Source: r-cran-downlit
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-digest,
               r-cran-evaluate,
               r-cran-fansi,
               r-cran-rlang,
               r-cran-vctrs,
               r-cran-yaml,
               r-cran-brio
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-downlit
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-downlit.git
Homepage: https://cran.r-project.org/package=downlit
Rules-Requires-Root: no

Package: r-cran-downlit
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R syntax highlighting and automatic linking
 Syntax highlighting of R code, specifically designed
 for the needs of 'RMarkdown' packages like 'pkgdown', 'hugodown', and
 'bookdown'. It includes linking of function calls to their documentation
 on the web, and automatic translation of ANSI escapes in output to the
 equivalent HTML.

## r-cran-downlit 0.4.0

=== DESCRIPTION ===
Package: downlit
Title: Syntax Highlighting and Automatic Linking
Version: 0.4.0
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
    person("RStudio", role = "cph")
  )
Description: Syntax highlighting of R code, specifically designed for the
    needs of 'RMarkdown' packages like 'pkgdown', 'hugodown', and
    'bookdown'. It includes linking of function calls to their
    documentation on the web, and automatic translation of ANSI escapes in
    output to the equivalent HTML.
License: MIT + file LICENSE
URL: https://downlit.r-lib.org/, https://github.com/r-lib/downlit
BugReports: https://github.com/r-lib/downlit/issues
Depends: R (>= 3.4.0)
Imports: brio, desc, digest, evaluate, fansi, memoise, rlang, vctrs,
        yaml
Suggests: covr, htmltools, jsonlite, leaflet, MASS, pkgload, rmarkdown,
        testthat (>= 3.0.0), xml2
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2021-10-29 18:02:03 UTC; hadley
Author: Hadley Wickham [aut, cre],
  RStudio [cph]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2021-10-29 19:40:08 UTC

=== debian/changelog ===
r-cran-downlit (0.4.0-1) unstable; urgency=medium

  * Team upload.
  * Update Build-Deps
  * New upstream version 0.4.0
  * Run cme, dh-update-R

 -- Nilesh Patra <nilesh@debian.org>  Mon, 01 Nov 2021 21:19:34 +0530

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,16 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-brio,
+               r-cran-desc,
                r-cran-digest,
                r-cran-evaluate,
                r-cran-fansi,
+               r-cran-memoise,
                r-cran-rlang,
                r-cran-vctrs,
-               r-cran-yaml,
-               r-cran-brio
-Standards-Version: 4.5.1
+               r-cran-yaml
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-downlit
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-downlit.git
 Homepage: https://cran.r-project.org/package=downlit

## r-cran-downlit 0.4.2

=== DESCRIPTION ===
Package: downlit
Title: Syntax Highlighting and Automatic Linking
Version: 0.4.2
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: Syntax highlighting of R code, specifically designed for the
    needs of 'RMarkdown' packages like 'pkgdown', 'hugodown', and
    'bookdown'. It includes linking of function calls to their
    documentation on the web, and automatic translation of ANSI escapes in
    output to the equivalent HTML.
License: MIT + file LICENSE
URL: https://downlit.r-lib.org/, https://github.com/r-lib/downlit
BugReports: https://github.com/r-lib/downlit/issues
Depends: R (>= 3.4.0)
Imports: brio, desc, digest, evaluate, fansi, memoise, rlang, vctrs,
        withr, yaml
Suggests: covr, htmltools, jsonlite, MASS, MassSpecWavelet, pkgload,
        rmarkdown, testthat (>= 3.0.0), xml2
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.0
NeedsCompilation: no
Packaged: 2022-07-05 02:12:58 UTC; hadleywickham
Author: Hadley Wickham [aut, cre],
  RStudio [cph, fnd]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2022-07-05 03:00:02 UTC

=== debian/changelog ===
r-cran-downlit (0.4.2-1) unstable; urgency=medium

  * Team upload.
  * Disable reprotest
  * Fix lintian-override

 -- Andreas Tille <tille@debian.org>  Tue, 12 Jul 2022 10:43:50 +0200

r-cran-downlit (0.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 27 Jun 2022 14:10:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-cran-downlit
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-downlit
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-downlit.git
+Homepage: https://cran.r-project.org/package=downlit
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -15,12 +19,9 @@
                r-cran-memoise,
                r-cran-rlang,
                r-cran-vctrs,
+               r-cran-withr,
                r-cran-yaml
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-downlit
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-downlit.git
-Homepage: https://cran.r-project.org/package=downlit
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-downlit
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat (>= 3.0.0~), r-cran-mass, r-cran-rmarkdown, r-cran-xml2
Restrictions: allow-stderr

## r-cran-downlit 0.4.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: downlit
 Title: Syntax Highlighting and Automatic Linking
-Version: 0.4.2
+Version: 0.4.3
 Authors@R: c(
-    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
+    person("Hadley", "Wickham", , "hadley@posit.co", role = c("aut", "cre")),
     person("RStudio", role = c("cph", "fnd"))
   )
 Description: Syntax highlighting of R code, specifically designed for the
@@ -21,11 +21,11 @@
 Config/Needs/website: tidyverse/tidytemplate
 Config/testthat/edition: 3
 Encoding: UTF-8
-RoxygenNote: 7.2.0
+RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2022-07-05 02:12:58 UTC; hadleywickham
+Packaged: 2023-06-29 22:06:14 UTC; hadleywickham
 Author: Hadley Wickham [aut, cre],
   RStudio [cph, fnd]
-Maintainer: Hadley Wickham <hadley@rstudio.com>
+Maintainer: Hadley Wickham <hadley@posit.co>
 Repository: CRAN
-Date/Publication: 2022-07-05 03:00:02 UTC
+Date/Publication: 2023-06-29 22:40:08 UTC

=== debian/changelog ===
r-cran-downlit (0.4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 24 Jul 2023 14:52:28 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-downlit
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-downlit.git
 Homepage: https://cran.r-project.org/package=downlit
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/downlit_([-\d.]*)\.tar\.gz

## r-cran-downlit 0.4.4

=== DESCRIPTION ===
Package: downlit
Title: Syntax Highlighting and Automatic Linking
Version: 0.4.4
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@posit.co", role = c("aut", "cre")),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Syntax highlighting of R code, specifically designed for the
    needs of 'RMarkdown' packages like 'pkgdown', 'hugodown', and
    'bookdown'. It includes linking of function calls to their
    documentation on the web, and automatic translation of ANSI escapes in
    output to the equivalent HTML.
License: MIT + file LICENSE
URL: https://downlit.r-lib.org/, https://github.com/r-lib/downlit
BugReports: https://github.com/r-lib/downlit/issues
Depends: R (>= 4.0.0)
Imports: brio, desc, digest, evaluate, fansi, memoise, rlang, vctrs,
        withr, yaml
Suggests: covr, htmltools, jsonlite, MASS, MassSpecWavelet, pkgload,
        rmarkdown, testthat (>= 3.0.0), xml2
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.3.1
NeedsCompilation: no
Packaged: 2024-06-07 19:03:38 UTC; hadleywickham
Author: Hadley Wickham [aut, cre],
  Posit Software, PBC [cph, fnd]
Maintainer: Hadley Wickham <hadley@posit.co>
Repository: CRAN
Date/Publication: 2024-06-10 09:10:02 UTC

=== tests/testthat/index/DESCRIPTION ===
Package: index
Title: Test package for document/article indices
Version: 0.0.0.9000
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = c("aut", "cre"),
             email = "hadley@rstudio.com"),
      person(given = "RStudio",
             role = "cph"))
Description: What the package does (one paragraph).
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.1.0
Suggests: 
    knitr,
    rmarkdown
VignetteBuilder: knitr

=== debian/changelog ===
r-cran-downlit (0.4.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 06 Sep 2024 14:31:53 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-downlit
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-downlit.git
 Homepage: https://cran.r-project.org/package=downlit
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-htmltools,
        r-cran-jsonlite,
        r-cran-mass,
        r-cran-pkgload,
        r-cran-rmarkdown,
        r-cran-testthat (>= 3.0.0),
        r-cran-xml2
Restrictions: allow-stderr

## r-cran-downlit 0.4.5

=== debian/changelog ===
r-cran-downlit (0.4.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1121145
  * Standards-Version: 4.7.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 03 Dec 2025 16:19:48 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-downlit
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-downlit.git
 Homepage: https://cran.r-project.org/package=downlit
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
